package com.csc.library.gson;

import java.lang.reflect.Type;
import java.nio.ByteBuffer;

import com.google.gson.JsonArray;
import com.google.gson.JsonDeserializationContext;
import com.google.gson.JsonDeserializer;
import com.google.gson.JsonElement;
import com.google.gson.JsonObject;
import com.google.gson.JsonParseException;
import com.google.gson.reflect.TypeToken;

public class ByteBufferDeserialize  implements JsonDeserializer<ByteBuffer>{

	@Override
	public ByteBuffer deserialize(JsonElement json, Type typeOfT, JsonDeserializationContext context)
			throws JsonParseException {
		JsonObject jsonObj = json.getAsJsonObject();
		
		/*Type type = new TypeToken<ByteStringDeserialize>() {}.getType();
		ByteStringDeserialize bs = context.deserialize(jsonObj, type);
		ByteBuffer bytebuf = ByteBuffer.allocate(bs.getCapcity());
		bytebuf.wrap(bs.getBytes());*/
		
		ByteBuffer bytebuf = ByteBuffer.allocate(jsonObj.get("capacity").getAsInt());
		JsonArray arr = jsonObj.get("hb").getAsJsonArray();

		int size = arr.size();
		for(int i = 0; i < size; i ++){
			bytebuf.put(arr.get(i).getAsByte());
		}
		/*Iterator<JsonElement> it = arr.iterator();
		while(it.hasNext()){
			bytebuf.put(it.next().getAsByte());
		}*/
		/*arr.forEach(new Consumer<JsonElement>(){	
			@Override
			public void accept(JsonElement t) {
				bytebuf.put(t.getAsByte());
			}
		});*/
		return bytebuf;
	}

}
