package com.csc.library.request;

import java.lang.reflect.Type;
import java.util.List;
import java.util.Map;

import com.google.gson.reflect.TypeToken;

public enum CMDMode{
	/*  CMDMode еͧ Controller */
	common(0 , "Standard API") ,
	special(1 , "Special API") ,
	process(2 , "Process Entry") ,
	ftp(3 , "FTP API");
	
	int mode = 0;
	String description = "";
	private CMDMode(int mode, String desc){
		this.mode = mode;
		this.description = desc;
	}
	
	public int getModeCode(){
		return this.mode;
	}
	public String getDescription(){
		return this.description;
	}
}
